// Top-level build file where you can add configuration options common to all sub-projects/modules.
apply plugin: 'io.codearte.nexus-staging'

buildscript {
    ext.kotlin_version = '1.5.20'

    repositories {
        maven {
            url 'https://artifact.bytedance.com/repository/pangle'
        }
        maven { url'https://maven.aliyun.com/nexus/content/groups/public/' }
        maven { url'https://maven.aliyun.com/nexus/content/repositories/jcenter'}
        maven { url "https://jitpack.io" }
        maven { url "https://oss.sonatype.org/content/repositories/snapshots/" }
        google()
//        maven { url 'https://dl.bintray.com/umsdk/release' }
        maven { url "https://plugins.gradle.org/m2" }
//        google()
        jcenter()
        mavenCentral()
        maven { url 'https://repo1.maven.org/maven2/' }
        maven { url "https://maven.aliyun.com/repository/public" }

//        maven { url "https://plugins.gradle.org/m2" }


    }
    dependencies {
        classpath 'com.android.tools.build:gradle:7.2.0'
        classpath 'org.greenrobot:greendao-gradle-plugin:3.3.0' // 添加GreenDao插件
        classpath 'com.novoda:bintray-release:0.6.1'
        classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:$kotlin_version"
        classpath "com.github.dcendents:android-maven-gradle-plugin:2.0"
        classpath 'io.codearte.gradle.nexus:gradle-nexus-staging-plugin:0.22.0'


        // NOTE: Do not place your application dependencies here; they belong
        // in the individual module build.gradle files
    }


}

allprojects {
    repositories {
        maven {
            url 'https://artifact.bytedance.com/repository/pangle'
        }
        maven { url'https://maven.aliyun.com/nexus/content/groups/public/' }
        maven { url'https://maven.aliyun.com/nexus/content/repositories/jcenter'}
        maven { url "https://jitpack.io" }
        maven { url "https://oss.sonatype.org/content/repositories/snapshots/" }
        google()
//        maven { url 'https://dl.bintray.com/umsdk/release' }
//        google()
//        jcenter()
        maven { url "https://jitpack.io" }
        jcenter()
        mavenCentral()
        maven { url 'https://repo1.maven.org/maven2/' }
        maven { url "https://maven.aliyun.com/repository/public" }


    }
}

task clean(type: Delete) {
    delete rootProject.buildDir
}
